package javax.swing.plaf.basic;

import javax.swing.LookAndFeel;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import javax.swing.plaf.ViewportUI;

public class BasicViewportUI extends ViewportUI
{
    private static ViewportUI viewportUI;
    
    public BasicViewportUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        if (BasicViewportUI.viewportUI == null) {
            BasicViewportUI.viewportUI = new BasicViewportUI();
        }
        return BasicViewportUI.viewportUI;
    }
    
    @Override
    public void installUI(JComponent c) {
        super.installUI(c);
        this.installDefaults(c);
    }
    
    @Override
    public void uninstallUI(JComponent c) {
        this.uninstallDefaults(c);
        super.uninstallUI(c);
    }
    
    protected void installDefaults(JComponent component) {
        LookAndFeel.installColorsAndFont(component, "Viewport.background", "Viewport.foreground", "Viewport.font");
        LookAndFeel.installProperty(component, "opaque", Boolean.TRUE);
    }
    
    protected void uninstallDefaults(JComponent component) {
    }
}
